Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.bcpg
Interface SymmetricKeyAlgorithmTags

All Known Implementing Classes:
  PGPEncryptedData, PGPEncryptedDataGenerator, PGPPBEEncryptedData, PGPPublicKeyEncryptedData

    public interface SymmetricKeyAlgorithmTags

Basic tags for symmetric key algorithms

Field Summary
`static int` `AES_128`
`static int` `AES_192`
`static int` `AES_256`
`static int` `BLOWFISH`
`static int` `CAST5`
`static int` `DES`
`static int` `IDEA`
`static int` `NULL`
`static int` `SAFER`
`static int` `TRIPLE_DES`
`static int` `TWOFISH`

Field Detail

### NULL

    static final int NULL

See Also:
  Constant Field Values

### IDEA

    static final int IDEA

See Also:
  Constant Field Values

### TRIPLE_DES

    static final int TRIPLE_DES

See Also:
  Constant Field Values

### CAST5

    static final int CAST5

See Also:
  Constant Field Values

### BLOWFISH

    static final int BLOWFISH

See Also:
  Constant Field Values

### SAFER

    static final int SAFER

See Also:
  Constant Field Values

### DES

    static final int DES

See Also:
  Constant Field Values

### AES_128

    static final int AES_128

See Also:
  Constant Field Values

### AES_192

    static final int AES_192

See Also:
  Constant Field Values

### AES_256

    static final int AES_256

See Also:
  Constant Field Values

### TWOFISH

    static final int TWOFISH

See Also:
  Constant Field Values

Bouncy Castle Cryptography Library 1.45